{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function entid, repository, send_event\r\ndeclare subroutine rlist\r\n$insert popup_equates\r\n$insert rlist_equates\r\n\r\nSelPos = .react_probs_cat->selpos\r\nCurRow = SelPos<2>\r\nPopRec = entid( @appid<1>, 'POPUP', '', 'SHOW_REACT_PROB_CAT' )\r\nOverRide = ''\r\nOverRide<pselect$> = 2\r\nStmt = 'SELECT REACT_PROB_CAT BY REACTOR_PROBLEM_CATEGORY'\r\nrlist( Stmt, target_activelist$, '', '', '' )\r\nChoosen = repository( 'EXECUTE', PopRec, @window, OverRide )\r\nif Choosen then\r\n    convert @fm to @vm in Choosen\r\n\tCurArray = .react_probs_cat->array\r\n\tCurArray = delete( CurArray, 1, CurRow, 0 )\r\n\tCurArray = delete( CurArray, 2, CurRow, 0 )\r\n\tCurArray = insert( CurArray, 1, CurRow, 0, Choosen )\r\n\tCurArray = insert( CurArray, 2, CurRow, 0, oconv( Choosen, '[XLATE_CONV,REACT_PROB_CAT*REACTOR_PROBLEM_CATEGORY]' ) )\r\n\t.react_probs_cat->Array = CurArray\r\n\tVoid = set_property( @window, '@NoTopPos', 1 )\r\n    Void = send_event( @window:'.REACT_PROBS_CAT', 'LOSTFOCUS' )\t\r\n\tVoid = set_property( @window, '@NoTopPos', '' )    \r\nend\r\nRETURN 0"
        }
    }
}